---
description: >-
  A small amount of PPY tokens are required for paying transaction fees on the
  network. Here are a few ways to get some.
---

# Obtaining Your First Tokens

## Buying PPY with HIVE or HBD

Using the Peerplays DEX, you can buy PPY with HIVE or HBD. PPY (Peerplays coin) is the native asset of Peerplays network. All exchanges in Peerplays DEX are based on exchanging assets with PPY. PPY is the main store of value in Peerplays and used to pay transaction fees on network.

{% hint style="info" %}
Setting up a Witness node requires about 15 PPY. This is to pay for an upgraded account (5 PPY) and to create a new witness (8 PPY). The remaining funds are to pay for various transaction fees while setting up the node (like voting for yourself!).

&#x20;Note that these fees will likely change over time as recommended by the Committee of Advisors.
{% endhint %}

### **Steps to get PPY tokens**

&#x20;     1\. If you are an existing user with Peerplays, login to [https://market.peerplays.com](https://market.peerplays.com) using valid credentials. If you're new to the exchange **create an account** to begin.

&#x20;     2\. After successful login, select “**Asset**” from left pane to check the available assets (PPY, HIVE, HBD, and BTC).

&#x20;     3\. In case of insufficient PPY token, it can be obtained in exchange with HIVE or HBD.

### **Getting PPY Token using HIVE or HBD**

**Prerequisites**

&#x20;   a. A Hive blockchain account

&#x20;   b. Sufficient balance of HIVE or HBD in your Hive wallet for transfer

If you are a new user on the exchange, please create an account and ensure you have a sufficient balance of HIVE or HBD before the exchange process.

**Steps to transfer funds from Hive wallet to** [**https://market.peerplays.com**](https://market.peerplays.com) **account:**

&#x20;1\. Login to the Hive wallet using [https://wallet.hive.blog](https://wallet.hive.blog/)&#x20;

&#x20;2\. Click on the Fund transfer Icon to begin the HIVE or HBD transfer.

&#x20;3\. Select the HIVE or HBD dropdown to choose desired action. In this case, choose the “Send” option.

&#x20;4\. In the next step, mention the “**son-account**” account in the "to" field (the Peerplays side-chain account), input the number of HIVE or HBD to be transferred, finally mention **your Peerplays account name** in the memo section and click “**send**” to proceed further.

![Figure 1. Sending to son-account with a memo of your Peerplays account name. Example: we're sending HIVE to "tutorial-witness".](../.gitbook/assets/Hive-account-transfer.png)

&#x20;5\. Now confirm the details for fund transfer and click “**confirm**”.

&#x20;6\. The funds will be reflected in market.peerplays.com account and it can be used to buy PPY token.

**Steps to Buy PPY Token using HIVE or HBD**

1. Login to [https://market.peerplays.com](https://market.peerplays.com) using your valid credentials.

![Figure 2. Sign in or create a new account.](../.gitbook/assets/Peerplay-login.webp)

&#x20; 2\. From the list of options available on left pane, select “**Exchange**” tab and choose either the “**PPY/HIVE**” or the "**PPY/HBD**" options to buy PPY Token.

![Figure 3. Navigating to the exchange with the menu.](../.gitbook/assets/Exchange-Token.png)

&#x20; 3\. Under “**ORDER BOOK**” section choose the category based on the price.

![Figure 4. Using the order book to populate the order form.](../.gitbook/assets/Exchange-Token-1.png)

&#x20; 4\. Input the required number of PPY token (at least 15 to make a Witness node) and click on “**Buy PPY**”.

![Figure 5. Buying PPY with HIVE.](../.gitbook/assets/Buy-ppy.png)

&#x20; 5\. Review the order and proceed with “Buy PPY now” which prompts for password to unlock account for transfer.

&#x20; 6\. After successful transfer, PPY tokens will be obtained in the account.

![Figure 6. PPY in the assets list.](../.gitbook/assets/PPY-token.JPG)
